Subject: Re: bug#44664: 28.0.50; troubles with some chars in term

From: Eli Zaretskii <[email-masked]>
Date: Fri, 27 Nov 2020 10:14:47 +0200

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Fri, 27 Nov 2020 08:51:31 +0100
> 
> > It should be easy to do that, but I'm afraid we will bump into
> > characters whose char-width is 1, but which are much wider on display.
> > I don't know what to do in that case.
> 
> You mean they are so wide that compressing them will make them illegible?

I don't know how to "compress" glyphs, actually.  I hoped that we can
get away with just "padding", which boils down to enlarging their
width metrics.  But if we need to make the width significantly smaller
than the font glyph font says, I don't know what would be the effect
of that, and I have no idea how to "shrink" a glyph on display.